org.apache.struts.beanvalidation.validation.constant

## Class ValidatorConstants

- java.lang.Object
- - org.apache.struts.beanvalidation.validation.constant.ValidatorConstants

-     public final class ValidatorConstants
      extends Object

  Class consisting of various constant values being used within bean validation plugin

  These values can be overridden using struts.xml file by providing custom values.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CONVERT_MESSAGE_FROM`
    `static String` | `CONVERT_MESSAGE_TO_UTF8`
    `static String` | `EMPTY_SPACE`
    `static String` | `FIELD_SEPERATOR`
    `static String` | `IGNORE_XMLCONFIGURAITION`
    `static String` | `MODELDRIVEN_PREFIX`
    `static String` | `PROVIDER_CLASS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValidatorConstants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROVIDER_CLASS

          public static final String PROVIDER_CLASS

      See Also:
        Constant Field Values

    - #### IGNORE_XMLCONFIGURAITION

          public static final String IGNORE_XMLCONFIGURAITION

      See Also:
        Constant Field Values

    - #### CONVERT_MESSAGE_TO_UTF8

          public static final String CONVERT_MESSAGE_TO_UTF8

      See Also:
        Constant Field Values

    - #### CONVERT_MESSAGE_FROM

          public static final String CONVERT_MESSAGE_FROM

      See Also:
        Constant Field Values

    - #### FIELD_SEPERATOR

          public static final String FIELD_SEPERATOR

      See Also:
        Constant Field Values

    - #### MODELDRIVEN_PREFIX

          public static final String MODELDRIVEN_PREFIX

      See Also:
        Constant Field Values

    - #### EMPTY_SPACE

          public static final String EMPTY_SPACE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ValidatorConstants

          public ValidatorConstants()

Copyright © 2000–2024 Apache Software Foundation. All rights reserved.